Name:		kxstitch
Summary:	Program to create cross stitch patterns
Version:	2.0.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://www.kde.org/applications/graphics/kxstitch/
Source0:	http://download.kde.org/stable/kxstitch/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(MagickCore)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(x11)
Recommends:	%{name}-handbook

%description
KXStitch is a program that lets you create cross stitch patterns and charts.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/%{name}/
%{_kf5_iconsdir}/*/*/apps/%{name}.png
%{_kf5_iconsdir}/*/*/actions/%{name}*.png
%{_kf5_mandir}/man?/%{name}.*
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/config.kcfg/%{name}.kcfg

#------------------------------------------------------------------------------

%package handbook
Summary:	KXStitch handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description handbook
This package provides KXStitch handbook.

%files handbook
%doc %{_kf5_docdir}/HTML/*/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --with-man


%changelog
* Sun Dec 04 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1072454
- new version: 2.0.0
- port to Kf5/Qt5
- update URL

* Mon Feb 15 2016 umeabot <umeabot> 1.2.0-5.mga6
+ Revision: 960892
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 daviddavid <daviddavid> 1.2.0-4.mga6
+ Revision: 842351
- rebuild for new ImageMagick

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 741206
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 681258
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 20 2014 fwang <fwang> 1.2.0-1.mga5
+ Revision: 665852
- update file list
- 1.2.0

* Sat Oct 19 2013 umeabot <umeabot> 0.9.2-4.mga4
+ Revision: 535198
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.9.2-3.mga4
+ Revision: 481492
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.9.2-2.mga4
+ Revision: 464406
- rebuild for new imagemagick

* Sat Jul 20 2013 wally <wally> 0.9.2-1.mga4
+ Revision: 456451
- imported package kxstitch

